Mozilla, Chrome, Safari entre otros... dejaran de soportar TLS 1.0 y 1.1 para el 2020



Los principales navegadores web, incluidos Google Chrome, Apple Safari, Microsoft Edge, Internet Explorer y Mozilla Firefox, anunciaron hoy que eliminarán pronto el soporte para la comunicación TLS 1.0 (20 años) y TLS 1.1 (12 años) para el año 2020.

Desarrollado inicialmente como protocolo Secure Sockets Layer (SSL), Transport Layer Security (TLS) es un protocolo criptográfico actualizado que se utiliza para establecer un canal de comunicaciones seguro y cifrado entre clientes y servidores.

Actualmente hay cuatro versiones del protocolo TLS: TLS 1.0, 1.1, 1.2 y 1.3 (más reciente), pero se sabe que las versiones anteriores, TLS 1.0 y 1.1, son vulnerables a una serie de ataques críticos, como POODLE y BEAST

Dado que la implementación de TLS en todos los principales navegadores web y aplicaciones admite el proceso de negociación de baja calificación, brinda a los atacantes la oportunidad de explotar protocolos más débiles, incluso si un servidor admite la versión más reciente.

Todos los principales navegadores web eliminarán la compatibilidad con TLS 1.0 y TLS 1.1 en 2020

Según los comunicados de prensa publicados por cuatro grandes empresas, Google, Microsoft, Apple y Mozilla, sus navegadores web eliminarán completamente el soporte TLS 1.0 y 1.1 de forma predeterminada en la primera mitad de 2020.

TLS 1.2, que se lanzó hace diez años para abordar las debilidades en TLS 1.0 y 1.1, ha tenido una amplia adopción desde entonces y, por lo tanto, será la versión predeterminada de TLS a menos que esté disponible TLS 1.3, que actualmente se encuentra en la etapa de desarrollo.

Según Microsoft, a medida que TLS 1.0 continúa envejeciendo, muchos sitios web ya se han trasladado a versiones más nuevas del protocolo. Hoy en día, el 94 por ciento de los sitios ya son compatibles con TLS 1.2, mientras que solo el uno por ciento de las conexiones diarias en Microsoft Edge utilizan TLS 1.0 o 1.1.

Google no pudo estar más de acuerdo y dice que hoy solo el 0.5 por ciento de las conexiones HTTPS hechas por Chrome usan TLS 1.0 o 1.1.
Todas las compañías de tecnología recomendaron sitios web que no son compatibles con TLS 1.2 o más.

Además, el cumplimiento de la norma de seguridad de datos PCI (PCI DSS) también requiere que los sitios web deshabiliten la implementación de SSL / TLS 1.0 antes del 30 de junio de 2018.

Además de estos gigantes tecnológicos, también está disponible en su sitio web y en su sitio web y la infraestructura de API para fines de 2018.

IMAGEN del Post: RedesZone.